%define version	2.0.0
%define release	2mdk

%define major	20
%define libname_orig %mklibname %{name}
%define libname %mklibname %{name} %{major}

Summary:	GNU Pth - GNU Portable Threads
Name:		pth
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		System/Libraries
URL:		http://www.gnu.org/software/pth/
Source:		ftp://ftp.ossp.org/pkg/lib/pth/%{name}-%{version}.tar.bz2
Patch1:		%{name}-2.0.0-pth-config.in.patch.bz2
Patch2:		%{name}-2.0.0-parallel-make.patch.bz2
Patch3:		%{name}-2.0.0-automake18.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Pth is a very portable POSIX/ANSI-C based library for Unix platforms
which provides non-preemptive priority-based scheduling for multiple
threads of execution ("multithreading") inside server applications.
All threads run in the same address space of the server application,
but each thread has it's own individual program-counter, run-time
stack, signal mask and errno variable.


%package	-n %{libname}
Summary:	GNU Pth - GNU Portable Threads
Group:		System/Libraries
Provides:	%{libname_orig} = %{version}-%{release}
Provides:	%{name} = %{version}-%{release}

%description	-n %{libname}
Pth is a very portable POSIX/ANSI-C based library for Unix platforms
which provides non-preemptive priority-based scheduling for multiple
threads of execution ("multithreading") inside server applications.
All threads run in the same address space of the server application,
but each thread has it's own individual program-counter, run-time
stack, signal mask and errno variable.

This package provides the main %{name} library.


%package	-n %{libname}-devel
Summary:	GNU Pth - GNU Portable Threads (Headers and Static Libs)
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}

%description	-n %{libname}-devel
Pth is a very portable POSIX/ANSI-C based library for Unix platforms.

This package provides all necessary files to develop or compile any
applications or libraries that use %{name} library.

%prep
%setup -q
%patch1 -p1 -b .cflags-ldflags
%patch2 -p1 -b .parallel
%patch3 -p1 -b .automake18

%build
%configure2_5x --enable-optimize=yes --enable-pthread=no
%make
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%post -n %{libname} -p /sbin/ldconfig
%postun	-n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS PORTING README THANKS
%{_bindir}/*
%{_datadir}/aclocal/*.m4
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_mandir}/man?/*

%changelog
* Wed May 19 2004 Abel Cheung <deaddog@deaddog.org> 2.0.0-2mdk
- Update Patch1 to not print -L/usr/lib for $ldflags
- Patch3: Automake 1.8 compatibility (quote names properly in AC_DEFUN)
- Please use UTF-8 rather than other encoding for spec!

* Tue Oct 14 2003 Abel Cheung <deaddog@deaddog.org> 2.0.0-1mdk
- Don't use libname as source package name, otherwise source package
  name will be different depending on arch!!!
- Do mklibname correctly
- Fix provides/requires
- Remove patch0 (obsolete)
- Patch2: Crude fix for parallel make

* Tue Sep 02 2003 Nicolas Planel <nplanel@mandrakesoft.com> 1.4.1-4mdk
- fixing libname, mklibname, ...

* Tue Jul 22 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.4.1-3mdk
- rebuild
- use %%make macro

* Fri Jun 28 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.4.1-2mdk
- Include pth.m4 (Quel Qun).
- Drill out -I/usr/include (Quel Qun).

* Mon Jun 17 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.4.1-1mdk
- Bump up release.

* Sat Aug 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.4.0-2mdk
- s/Copyright/License/
- Sanity build for 8.1.

* Sun Apr 08 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.4.0-1mdk
- Roll out 1.4.0 for everyone to use.
- Correct libname policy done by fg earlier (should be 13, 14) ..

* Wed Feb 28 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.3.7-2mdk
- provides pth/pth-devel


* Thu Jan 04 2001 Francis Galiegue <fg@mandrakesoft.com> 1.3.7-1mdk

- New lib policy:
  * s,pth,lib&,g
  * Obsoletes: pth (and -devel)
  * no need for serial anymore
- Don't use macros when not needed

* Sun Jul 30 2000 Geoffrey Lee <snailtalk@mnandrakesoft.com> 1.3.7-1mdk

- new version

* Thu Jul 27 2000 Francis Galiegue <fg@mandrakesoft.com> 1.3.6-1mdk

- 1.3.6
- BMacros
- numerous spec file changes - why has the Makefile gone so screwy?

* Mon Jul 10 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.3.1-4mdk
- makeinstall macro
- macroszifications

* Thu Apr 13 2000 Francis Galiegue <fg@mandrakesoft.com> 1.3.1-3mdk

- Changed group for -devel

* Thu Mar 16 2000 Francis Galiegue <francis@mandrakesoft.com>

- Some spec file changes
- Changed group to match 7.1 specs
- Let spec-helper do its job

* Tue Feb 22 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 1.3.1-1mdk
- v1.3.1

* Wed Feb  9 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.3-2mdk

- bzip man pages and make rpmlint happy.

* Tue Feb  8 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.3-1mdk

- version 1.2.3

* Fri Jul 30 1999 Ryan Weaver <ryanw@infohwy.com>
  [pth-1.0.3-1]
- Fixed inconsistent and wrong API value: PTH_ATTR_NULL existed and was
  documented as PTH_ATTR_NONE. But actually the intended and intuitive
  value was PTH_ATTR_DEFAULT. !BE CAREFUL: This is an API change and
  requires adjustments in Pth applications!
  [Ralf S. Engelschall, Eric Newton <ecn@smart.net>]
- Make sure pthread.h.in doesn't redefine the poll(2) environment
  under built-time because it's already defined by the included pth.h.
  [Kriton Kyrimis <kyrimis@cti.gr>]
- Add readv/writev environment fallback definitions to pthread.h.in.
  [Ralf S. Engelschall]
- Support for AmigaOS in pthreads.c: timespec attributes have (correct)
  ts_ prefix under AmigaOS and not the (bogus) POSIX tv_ prefix
  [Kriton Kyrimis <kyrimis@cti.gr>]
- Add `#include <time.h>' for struct timespec to pthread.h.in
  and removed timespec references in pth.h.in.
  [Ralf S. Engelschall]
- Fixed documentation for pth_spawn() and pth_wait().
  [Ralf S. Engelschall, Eric Newton <ecn@smart.net>]

